Upstream information

CVE-2017-14482 at MITRE

Description

GNU Emacs before 25.3 allows remote attackers to execute arbitrary code via email with crafted "Content-Type: text/enriched" data containing an x-display XML element that specifies execution of shell commands, related to an unsafe text/enriched extension in lisp/textmodes/enriched.el, and unsafe Gnus support for enriched and richtext inline MIME objects in lisp/gnus/mm-view.el. In particular, an Emacs user can be instantly compromised by reading a crafted email message (or Usenet news article).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 9.6
Vector AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1058425 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • emacs >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1565
SUSE Linux Enterprise Desktop 12 SP3
  • emacs >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1565
SUSE Linux Enterprise Point of Sale 11 SP3
  • emacs >= 22.3-42.3.1
  • emacs-el >= 22.3-42.3.1
  • emacs-info >= 22.3-42.3.1
  • emacs-nox >= 22.3-42.3.1
  • emacs-x11 >= 22.3-42.3.1
Patchnames:
sleposp3-emacs-13285
SUSE Linux Enterprise Server 11 SP3-LTSS
  • emacs >= 22.3-42.3.1
  • emacs-el >= 22.3-42.3.1
  • emacs-info >= 22.3-42.3.1
  • emacs-nox >= 22.3-42.3.1
  • emacs-x11 >= 22.3-42.3.1
Patchnames:
slessp3-emacs-13285
SUSE Linux Enterprise Server 11 SP4
  • emacs >= 22.3-42.3.1
  • emacs-el >= 22.3-42.3.1
  • emacs-info >= 22.3-42.3.1
  • emacs-nox >= 22.3-42.3.1
  • emacs-x11 >= 22.3-42.3.1
Patchnames:
slessp4-emacs-13285
SUSE Linux Enterprise Server 12 SP1-LTSS
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1565
SUSE Linux Enterprise Server 12 SP2
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1565
SUSE Linux Enterprise Server 12 SP3
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1565
SUSE Linux Enterprise Server 12-LTSS
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1565
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1565
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • emacs >= 22.3-42.3.1
  • emacs-el >= 22.3-42.3.1
  • emacs-info >= 22.3-42.3.1
  • emacs-nox >= 22.3-42.3.1
  • emacs-x11 >= 22.3-42.3.1
Patchnames:
slessp3-emacs-13285
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • emacs >= 22.3-42.3.1
  • emacs-el >= 22.3-42.3.1
  • emacs-info >= 22.3-42.3.1
  • emacs-nox >= 22.3-42.3.1
  • emacs-x11 >= 22.3-42.3.1
Patchnames:
slessp4-emacs-13285
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1565
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1565
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1565
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1565
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1565
SUSE Linux Enterprise Software Development Kit 11 SP4
  • emacs >= 22.3-42.3.1
  • emacs-nox >= 22.3-42.3.1
Patchnames:
sdksp4-emacs-13285
SUSE OpenStack Cloud 6
  • emacs >= 24.3-25.3.1
  • emacs-el >= 24.3-25.3.1
  • emacs-info >= 24.3-25.3.1
  • emacs-nox >= 24.3-25.3.1
  • emacs-x11 >= 24.3-25.3.1
  • etags >= 24.3-25.3.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1565
openSUSE Leap 42.2
  • emacs >= 24.3-24.6.1
  • emacs-debuginfo >= 24.3-24.6.1
  • emacs-debugsource >= 24.3-24.6.1
  • emacs-el >= 24.3-24.6.1
  • emacs-info >= 24.3-24.6.1
  • emacs-nox >= 24.3-24.6.1
  • emacs-nox-debuginfo >= 24.3-24.6.1
  • emacs-x11 >= 24.3-24.6.1
  • emacs-x11-debuginfo >= 24.3-24.6.1
  • etags >= 24.3-24.6.1
  • etags-debuginfo >= 24.3-24.6.1
Patchnames:
openSUSE-2017-1078
openSUSE Leap 42.3
  • emacs >= 24.3-28.1
  • emacs-debuginfo >= 24.3-28.1
  • emacs-debugsource >= 24.3-28.1
  • emacs-el >= 24.3-28.1
  • emacs-info >= 24.3-28.1
  • emacs-nox >= 24.3-28.1
  • emacs-nox-debuginfo >= 24.3-28.1
  • emacs-x11 >= 24.3-28.1
  • emacs-x11-debuginfo >= 24.3-28.1
  • etags >= 24.3-28.1
  • etags-debuginfo >= 24.3-28.1
Patchnames:
openSUSE-2017-1078


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 emacs Released
SUSE Linux Enterprise Desktop 12 SP3 emacs Released
SUSE Linux Enterprise SDK 11 SP4 emacs Released
SUSE Linux Enterprise Server 11 SP3 LTSS emacs Released
SUSE Linux Enterprise Server 11 SP4 emacs Released
SUSE Linux Enterprise Server 12 GA LTSS emacs Released
SUSE Linux Enterprise Server 12 SP1 LTSS emacs Released
SUSE Linux Enterprise Server 12 SP2 emacs Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI emacs Released
SUSE Linux Enterprise Server 12 SP3 emacs Released